JBoss API: Class DeploymentNotification

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class DeploymentNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--org.jboss.deployment.DeploymentNotification

All Implemented Interfaces:
  java.io.Serializable

public class DeploymentNotification
extends javax.management.Notification

This notification is sent by the J2eeDeployer MBean to NotificationListener(s) who have registered with deployer. It should be noted that a deployment notification can reference a .war or .ear archive which contains other archives. Look at the Deployment object and its Vector properties to determine the nested archives.

Author:
  Frederick N. Brier
See Also:
  `J2eeDeployer`, `Deployment`, Serialized Form

Field Summary
`protected static java.lang.String[]` | `phaseMessage` Array of strings used to generate the notification message text based on the specified phase.
`static int` | `POSTDEPLOY` Phase constant indicating that the archive has been unpacked, and the application started.
`static int` | `POSTUNDEPLOY` Phase constant indicating that the application has been stopped and the temporary unzipped files are about to be cleaned up.
`static int` | `PREDEPLOY` Phase constant indicating that the archive has been unpacked, but the application has not been started.
`static int` | `PREUNDEPLOY` Phase constant indicating that the application is about to be stopped.
`static java.lang.String` | `TYPE_NOTIFICATION` Notification Type == class name

Fields inherited from class javax.management.Notification
`source`

Constructor Summary
`DeploymentNotification(java.lang.Object source, long sequenceNumber, Deployment deployment, int phase)` This constructor creates a deployment notification.

Method Summary
`Deployment` | `getDeployment()`
`int` | `getPhase()`
`void` | `setDeployment(Deployment deployment)`
`void` | `setPhase(int phase)`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_NOTIFICATION

    public static final java.lang.String TYPE_NOTIFICATION

  Notification Type == class name

### PREDEPLOY

    public static final int PREDEPLOY

  Phase constant indicating that the archive has been unpacked, but the application has not been started.

### POSTDEPLOY

    public static final int POSTDEPLOY

  Phase constant indicating that the archive has been unpacked, and the application started.

### PREUNDEPLOY

    public static final int PREUNDEPLOY

  Phase constant indicating that the application is about to be stopped.

### POSTUNDEPLOY

    public static final int POSTUNDEPLOY

  Phase constant indicating that the application has been stopped and the temporary unzipped files are about to be cleaned up.

### phaseMessage

    protected static final java.lang.String[] phaseMessage

  Array of strings used to generate the notification message text based on the specified phase.

Constructor Detail

### DeploymentNotification

    public DeploymentNotification(java.lang.Object source,
                                  long sequenceNumber,
                                  Deployment deployment,
                                  int phase)

  This constructor creates a deployment notification.
  Parameters:
    `source` - is the J2eeDeployer
    `sequenceNumber` - is an incrementing sequence number for tracking these event notifications.
    `deployment` - is the deployment object describing the archive being deployed.
    `phase` - is an integer constant that describes whether the archive is being deployed or undeployed and whether the application has started yet.
  See Also:
    `Deployment`

Method Detail

### getPhase

    public int getPhase()

  Returns:
    the phase constant describing the current state of the deployment.

### setPhase

    public void setPhase(int phase)

  Parameters:
    `phase` - is the phase constant describing the current state of the deployment.

### getDeployment

    public Deployment getDeployment()

  Returns:
    the deployment object associated with this event.
  See Also:
    `Deployment`

### setDeployment

    public void setDeployment(Deployment deployment)

  Parameters:
    `deployment` - is the deployment associated with this event.
  See Also:
    `Deployment`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.